Name: kernel-headers-common
Version: 1.1.4
Release: alt1

Summary: Common header files for the Linux kernel
License: GPL
Group: Development/Kernel
BuildArch: noarch
Packager: Kernel Maintainers Committee <kernel@packages.altlinux.org>

Source0: adjust_kernel_headers
Source1: kheaders.init

PreReq: chkconfig, service

%description
This package contains common directories and C header files from
various versions of the linux kernel.

%install
%__install -pD -m755 %SOURCE0 $RPM_BUILD_ROOT%_sbindir/adjust_kernel_headers
%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/kheaders
%__mkdir_p $RPM_BUILD_ROOT%_includedir
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/sysconfig/kernel
%__mkdir_p $RPM_BUILD_ROOT%_libdir/kernel
%__mkdir_p $RPM_BUILD_ROOT/var/run/kernel

%__ln_s %_sysconfdir/sysconfig/kernel/include/{asm,linux} \
	$RPM_BUILD_ROOT%_includedir/

%__ln_s %_includedir/linux-default/include \
	$RPM_BUILD_ROOT%_sysconfdir/sysconfig/kernel/

for f in {autoconf,modversions,version}.{h,ph} _h2ph_pre.ph; do
        touch "$RPM_BUILD_ROOT/var/run/kernel/$f"
done

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add kheaders
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/chkconfig --del kheaders
fi

%triggerpostun -- kernel-headers-common < 0:1.1-alt1
/sbin/chkconfig --add kheaders
/sbin/service kheaders start ||:

%files
%config %_initdir/kheaders
%_sbindir/adjust_kernel_headers
%dir %_sysconfdir/sysconfig/kernel
%ghost %_sysconfdir/sysconfig/kernel/include
%_includedir/*
%dir /usr/lib/kernel
%dir /var/run/kernel
%ghost /var/run/kernel/*

%changelog
* Wed Jul 30 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.4-alt1
- adjust_kernel_headers:
  + added "--list" option;
  + added "--first" option.

* Tue Jun 03 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.3-alt1
- init.d/kheaders: fixed $LOCKFILE handling.

* Mon Jun 02 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.2-alt1
- adjust_kernel_headers:
  + fixed KERNEL_VERSION definition;
  + better kernel autodetection.

* Thu May 22 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.1-alt1
- adjust_kernel_headers: better --help support.

* Tue May 20 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1-alt1
- Updated to support new kernel headers scheme.

* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2
- rebuild

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0-alt1
- Initial revision.
